ListColumnVector (Hive Storage API 2.1.1-pre-orc API)
Date: 2016-10-19

org.apache.hadoop.hive.ql.exec.vector

## Class ListColumnVector

- java.lang.Object
- - org.apache.hadoop.hive.ql.exec.vector.ColumnVector
  - - org.apache.hadoop.hive.ql.exec.vector.MultiValuedColumnVector
    - - org.apache.hadoop.hive.ql.exec.vector.ListColumnVector

-     public class ListColumnVector
      extends MultiValuedColumnVector

  The representation of a vectorized column of list objects. Each list is composed of a range of elements in the underlying child ColumnVector. The range for list i is offsets[i]..offsets[i]+lengths[i]-1 inclusive.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.hive.ql.exec.vector.ColumnVector

      `ColumnVector.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ColumnVector` | `child`

    - ### Fields inherited from class org.apache.hadoop.hive.ql.exec.vector.MultiValuedColumnVector

      `childCount, lengths, offsets`

    - ### Fields inherited from class org.apache.hadoop.hive.ql.exec.vector.ColumnVector

      `isNull, isRepeating, noNulls`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListColumnVector()`
    `ListColumnVector(int len, ColumnVector child)` Constructor for ListColumnVector.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `childFlatten(boolean useSelected, int[] selected, int size)`
    `void` | `init()` Initializee the vector
    `void` | `reset()` Reset the vector for the next batch.
    `void` | `setElement(int outElementNum, int inputElementNum, ColumnVector inputVector)` Set the element in this column vector from the given input vector.
    `void` | `stringifyValue(StringBuilder buffer, int row)` Print the value for this column into the given string builder.
    `void` | `unFlatten()` Restore the state of isRepeating and noNulls to what it was before flattening.

    - ### Methods inherited from class org.apache.hadoop.hive.ql.exec.vector.MultiValuedColumnVector

      `ensureSize, flatten`

    - ### Methods inherited from class org.apache.hadoop.hive.ql.exec.vector.ColumnVector

      `flattenNoNulls, flattenPush, flattenRepeatingNulls, setRepeating`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### child

          public ColumnVector child

  - ### Constructor Detail

    - #### ListColumnVector

          public ListColumnVector()

    - #### ListColumnVector

          public ListColumnVector(int len,
                                  ColumnVector child)

      Constructor for ListColumnVector.
      Parameters:
        `len` - Vector length
        `child` - The child vector

  - ### Method Detail

    - #### childFlatten

          protected void childFlatten(boolean useSelected,
                                      int[] selected,
                                      int size)

      Specified by:
        `childFlatten` in class `MultiValuedColumnVector`

    - #### setElement

          public void setElement(int outElementNum,
                                 int inputElementNum,
                                 ColumnVector inputVector)

      Description copied from class: `ColumnVector`
      Set the element in this column vector from the given input vector. This method can assume that the output does not have isRepeating set.
      Specified by:
        `setElement` in class `ColumnVector`

    - #### stringifyValue

          public void stringifyValue(StringBuilder buffer,
                                     int row)

      Description copied from class: `ColumnVector`
      Print the value for this column into the given string builder.
      Specified by:
        `stringifyValue` in class `ColumnVector`
      Parameters:
        `buffer` - the buffer to print into
        `row` - the id of the row to print

    - #### init

          public void init()

      Description copied from class: `MultiValuedColumnVector`
      Initializee the vector
      Overrides:
        `init` in class `MultiValuedColumnVector`

    - #### reset

          public void reset()

      Description copied from class: `MultiValuedColumnVector`
      Reset the vector for the next batch.
      Overrides:
        `reset` in class `MultiValuedColumnVector`

    - #### unFlatten

          public void unFlatten()

      Description copied from class: `ColumnVector`
      Restore the state of isRepeating and noNulls to what it was before flattening. This must only be called just after flattening and then evaluating a VectorExpression on the column vector. It is an optimization that allows other operations on the same column to continue to benefit from the isRepeating and noNulls indicators.
      Overrides:
        `unFlatten` in class `ColumnVector`

Copyright © 2016 The Apache Software Foundation. All rights reserved.